Enable domain lock
Enable domain lock for the domain.
Enable domain lock for the domain.
When domain lock is enabled, the domain cannot be transferred to another registrar without first disabling the lock.
Use this endpoint to secure domains against unauthorized transfers.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
domainstringRequiredExample:
Domain name
mydomain.tldResponses
200
Success empty response
application/json
messagestringOptionalExample:
Request accepted401
Unauthenticated response
application/json
500
Error response
application/json
put/api/domains/v1/portfolio/{domain}/domain-lock
PUT /api/domains/v1/portfolio/{domain}/domain-lock HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"message": "Request accepted"
}Last updated
Was this helpful?